GCLOUD_COMPUTE_BACKEND-SERVICES_UPDATE-BACKEND(1)

NAME

gcloud compute backend-services update-backend - update an existing backend in a backend service

SYNOPSIS

gcloud compute backend-services update-backend NAME --instance-group INSTANCE_GROUP [--balancing-mode BALANCING_MODE] [--capacity-scaler CAPACITY_SCALER] [--description DESCRIPTION] [--max-rate MAX_RATE | --max-rate-per-instance MAX_RATE_PER_INSTANCE] [--max-utilization MAX_UTILIZATION] [--instance-group-zone INSTANCE_GROUP_ZONE | --zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute backend-services update-backend updates a backend that is part of a backend service. This is useful for changing the way a backend behaves. Example changes that can be made include changing the load balancing policy and draining a backend by setting its capacity scaler to zero. Backends are named by their associated instances groups, and one of the --group or --instance-group flags is required to identify the backend that you are modifying. You cannot "change" the instance group associated with a backend, but you can accomplish something similar with backend-services remove-backend and backend-services add-backend. 'gcloud compute backend-services edit' can also be used to update a backend if the use of a text editor is desired.

POSITIONAL ARGUMENTS
NAME
    The name of the backend service.

REQUIRED FLAGS
--instance-group INSTANCE_GROUP
    The name or URI of a Google Cloud Instance Group.

OPTIONAL FLAGS
--balancing-mode BALANCING_MODE
    Defines the strategy for balancing load. UTILIZATION will rely on the CPU utilization of the instances in the group when balancing load. When using UTILIZATION, --max-utilization can be used to set a maximum target CPU utilization for each instance. RATE will spread load based on how many requests per second (RPS) the group can handle. There are two ways to specify max RPS: --max-rate which defines the max RPS for the whole group or --max-rate-per-instance, which defines the max RPS on a per-instance basis. In UTILIZATION, you can optionally limit based on RPS in addition to CPU by setting either --max-rate-per-instance or --max-rate.
--capacity-scaler CAPACITY_SCALER
    A float in the range [0, 1.0] that scales the maximum parameters for the group (e.g., max rate). A value of 0.0 will cause no requests to be sent to the group (i.e., it adds the group in a drained state). The default is 1.0.
--description DESCRIPTION
    An optional, textual description for the backend.
--instance-group-zone INSTANCE_GROUP_ZONE
    The zone of the instance group to update the backend service. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.
--max-rate MAX_RATE
    Maximum requests per second (RPS) that the group can handle.
--max-rate-per-instance MAX_RATE_PER_INSTANCE
    The maximum per-instance requests per second (RPS).
--max-utilization MAX_UTILIZATION
    The target CPU utilization for the group as a float in the range [0.0, 1.0]. This flag can only be provided when the balancing mode is UTILIZATION.
--zone ZONE
    The zone of the instance group to update the backend service. DEPRECATED, use --instance-group-zone flag instead.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.